package application

import (
	"database/sql"
	_ "github.com/lib/pq"
)

type App struct {
	DB *sql.DB
}

func NewApp(config *Config) (*App, error) {
	var err error
	app := new(App)
	app.DB, err = sql.Open(config.Database.Driver, config.Database.Connection)
	if err != nil {
		return nil, err
	}
	return app, nil
}
